Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.examples
Class PicoISim.SimController

    java.lang.Object
      ix.examples.PicoIX.Controller
          ix.examples.PicoISim.SimController

Direct Known Subclasses:
  PicoISimTest2.TestSimController

Enclosing class:
  PicoISim

    static class PicoISim.SimController

extends PicoIX.Controller

The controller for a simulator handles an agenda of simulated events as well as the agenda of activities that the simulator addresses as an agent.

Field Summary
`(package private) static Predicate2` | `EARLIER_EST_P`
`(package private) LListCollector` | `simEvents`
`(package private) java.util.Hashtable` | `simHandlerTable`

Fields inherited from class ix.examples.PicoIX.Controller
`activities, handlerTable, q, system`

Constructor Summary
`PicoISim.SimController()`
`PicoISim.SimController(PicoIX.IX_System system)`

Method Summary
`(package private) void` | `addSimEvent(PicoISim.SimEvent e)`
`(package private) boolean` | `canSimulate(PicoISim.SimEvent e)`
`(package private) PicoISim.SimEventHandler` | `findSimHandler(PicoIX.Activity i)`
`(package private) long` | `getSimTime()`
`(package private) void` | `installSimEventHandlers(java.lang.Object[] activityHandlers)`
`(package private) void` | `mainLoop()`
`(package private) void` | `setSimTime(long t)`
`(package private) void` | `simulate(PicoISim.SimEvent e)`
`(package private) boolean` | `simulateIfPossible()`
`(package private) boolean` | `simulateIfPossible(PicoISim.SimEvent e)`
`(package private) void` | `whenIdle()`

Methods inherited from class ix.examples.PicoIX.Controller
`addActivity, addEventActivity, findHandler, handleActivity, installActivityHandlers, installActivityHandlers, selectActivity, setSystem`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### simEvents

    LListCollector simEvents

### simHandlerTable

    java.util.Hashtable simHandlerTable

### EARLIER_EST_P

    static final Predicate2 EARLIER_EST_P

Constructor Detail

### PicoISim.SimController

    PicoISim.SimController()

### PicoISim.SimController

    PicoISim.SimController(PicoIX.IX_System system)

Method Detail

### addSimEvent

    void addSimEvent(PicoISim.SimEvent e)

### mainLoop

    void mainLoop()

  Overrides:
    `mainLoop` in class `PicoIX.Controller`

### whenIdle

    void whenIdle()

### simulateIfPossible

    boolean simulateIfPossible()

### simulateIfPossible

    boolean simulateIfPossible(PicoISim.SimEvent e)

### canSimulate

    boolean canSimulate(PicoISim.SimEvent e)

### simulate

    void simulate(PicoISim.SimEvent e)

### installSimEventHandlers

    void installSimEventHandlers(java.lang.Object[] activityHandlers)

### findSimHandler

    PicoISim.SimEventHandler findSimHandler(PicoIX.Activity i)

### getSimTime

    long getSimTime()

### setSimTime

    void setSimTime(long t)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD